package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TbFile;
import java.util.List;

/**
 * 附件Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-19
 */
public interface TbFileMapper extends BaseMapper<TbFile> {

    /**
     * 查询附件
     *
     * @param id 附件主键
     * @return 附件
     */
    public TbFile selectTbFileById(Long id);

    /**
     * 查询附件列表
     * 
     * @param tbFile 附件
     * @return 附件集合
     */
    public List<TbFile> selectTbFileList(TbFile tbFile);

    /**
     * 新增附件
     * 
     * @param tbFile 附件
     * @return 结果
     */
    public int insertTbFile(TbFile tbFile);

    /**
     * 批量新增附件
     *
     * @param list 附件列表
     * @return 结果
     */
    public int batchInsertTbFile(List<TbFile> list);

    /**
     * 修改附件
     * 
     * @param tbFile 附件
     * @return 结果
     */
    public int updateTbFile(TbFile tbFile);

    /**
     * 删除附件
     * 
     * @param id 附件主键
     * @return 结果
     */
    public int deleteTbFileById(Long id);

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbFileByIds(Long[] ids);

    /**
     * 根据关联业务id删除附件
     *
     * @param businessId 关联业务id
     * @return 结果
     */
    int deleteTbFileByBusinessIdAndType(Long businessId, String businessType);

    /**
     * 根据关联业务id批量删除附件
     *
     * @param businessIds 关联业务id
     * @return 结果
     */
    void deleteTbFileByBusinessIdsAndType(Long[] businessIds, String businessType);
    
    /**
     * 根据关联业务id查询附件
     *
     * @param businessId 关联业务id
     * @param businessType 关联业务类型
     * @return 结果
     */
    List<TbFile> selectTbFileListByBuzIdAndBuzType(Long businessId, String businessType);

    /**
     * 根据客户id更新附件为客户履历用
     */
    void updateTbFileByAccountId(Long accountId, Long accountHistoryId, String businessType);
}
